<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.activity.mapper.BladeActivityProductMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="org.springblade.activity.entity.BladeActivityProduct">
        <id column="id" property="id" />
        <result column="activity_id" property="activityId" />
        <result column="name" property="name" />
        <result column="large_type" property="largeType" />
        <result column="spid" property="spid" />
        <result column="small_type" property="smallType" />
        <result column="cpid" property="cpid" />
        <result column="cost_price" property="costPrice" />
        <result column="total_cost" property="totalCost" />
        <result column="formula_type" property="formulaType" />
        <result column="product_prices" property="productPrices" />
        <result column="unicom_divided" property="unicomDivided" />
        <result column="province_divided" property="provinceDivided" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
        <result column="status" property="status" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, activity_id, name, large_type, spid, small_type, cpid, cost_price, formula_type, product_prices, unicom_divided, province_divided, create_time, update_time, status
    </sql>

</mapper>
